Artha API
  1. Card Operations
  • Introduction
  • Authentication
  • KYC/KYB Requirements
  • API Setup Guide
  • Customers
    • Create Customer
      POST
    • List Customers
      GET
    • Get Customer
      GET
    • Update Customer
      PATCH
  • Cards
    • Submit KYC/KYB Applicant
      POST
    • Issue Card
      POST
    • Cards List
      GET
    • Get Card
      GET
    • Get Sensitive Card Details
      GET
  • Card Operations
    • Activate Card
      POST
    • Freeze Card
      POST
    • Unfreeze Card
      POST
    • Cancel Card
      POST
    • Replace Card
      POST
    • Set / Reset Card PIN
      POST
    • Get Card Limits
      GET
    • Update Card Limits
      POST
  • Funding
    • Top Up Card
      POST
    • Get Card Balance
      GET
    • List Top-Up History
      GET
  • Transactions
    • List All Transactions
      GET
    • List Card Transactions
      GET
    • List Customer Transactions
      GET
    • Get Transaction
      GET
  • Products
    • List Products
    • Get Product
  • Utilities
    • Upload Documents
  • Webhook's
    • Webhooks
  1. Card Operations

Replace Card

POST
/baseurl/api/v1/cards/{cardId}/replace
Requests a replacement card.
Optional Fields
FieldTypeDescription
reasonstringReason for replacement. Nullable.
shippingAddressobjectFields: addressLine1, addressLine2, city, state, postalCode, country

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢202
application/json
Replacement request accepted for async processing.
Body

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/baseurl/api/v1/cards//replace' \
--header 'X-API-Key;' \
--header 'X-Signature;' \
--header 'X-Timestamp;' \
--header 'X-Nonce;' \
--header 'X-Body-Hash;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "reason": "Card damaged beyond use",
    "shippingAddress": {
        "addressLine1": "10 Downing Street",
        "city": "London",
        "postalCode": "SW1A 2AA",
        "country": "GB"
    }
}'
Response Response Example
{
    "cardId": "ef0c9071-f1d5-4782-996c-db9b45c47a29",
    "customerId": "49cf2793-9379-4d1b-9904-5b77aaa5693c",
    "productId": "999a47bf-5c73-4a93-9827-0182f075355d",
    "cardType": "Virtual",
    "action": "replace",
    "status": "success",
    "message": "Card replaced successfully",
    "taskId": "task_123456789"
}
Modified at 2026-03-31 04:36:26
Previous
Cancel Card
Next
Set / Reset Card PIN
Built with